Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

release version

  • Loading branch information...
commit 9877b1d992da6a7c2f939f77041a4a719848dc6f 1 parent 0a99e45
Christian Meier authored
2  enforce-ssl-gem/enforce-ssl.gemspec
View
@@ -15,6 +15,6 @@ Gem::Specification.new do |s|
# s.files += Dir['README.textile']
# s.extra_rdoc_files = ['History.txt','README.textile']
# s.rdoc_options = ['--main','README.textile']
- s.files += Dir['lib/**/*']
+ s.files += Dir['lib/**/*rb']
s.add_development_dependency 'rake', '0.8.7'
end
20 enforce-ssl-gem/enforce-ssl.gemspec.pom
View
@@ -2,7 +2,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>enforce-ssl</artifactId>
- <version>0.1.0</version>
+ <version>0.2.0</version>
<name><![CDATA[enforce the use of SSL for all controller actions]]></name>
<packaging>gem</packaging>
<description><![CDATA[enforce the use of SSL for all controller actions, skip the enforcement with skip_before_filter :enforce_ssl for selected actions. moto: secure everything, open where needed]]></description>
@@ -56,7 +56,7 @@
<properties>
<gem.home>${project.build.directory}/rubygems</gem.home>
<gem.path>${project.build.directory}/rubygems</gem.path>
- <jruby.plugins.version>0.25.0-SNAPSHOT</jruby.plugins.version>
+ <jruby.plugins.version>0.26.0-SNAPSHOT</jruby.plugins.version>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
@@ -66,19 +66,9 @@
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
- <executions>
- <execution>
- <id>in_phase_install</id>
- <phase>install</phase>
- <goals>
- <goal>execute_in_phase</goal>
- </goals>
- <configuration>
- <file>Mavenfile</file>
- <phase>install</phase>
- </configuration>
- </execution>
- </executions>
+ <configuration>
+ <files>MIT-LICENSE,lib/enforce-ssl.rb,lib/enforce_ssl/filter_railtie.rb,lib/enforce_ssl/rack_railtie.rb,lib/enforce_ssl/enforce_ssl_filter.rb,lib/enforce_ssl/base_railtie.rb,lib/enforce_ssl/enforce_ssl_rack.rb</files>
+ </configuration>
</plugin>
</plugins>
</build>
Please sign in to comment.
Something went wrong with that request. Please try again.